## wslay 1.0.1~39

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# This CMakeLists.txt file intended for:
# - development of wslay library
# - building wslay for install purposes
# - building wslay with ExternalProject_Add()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
if(NOT DEFINED CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type")
endif()

project(wslay)

option(WSLAY_CONFIGURE_INSTALL "Generate install target" ON)
option(WSLAY_STATIC "Build static version of the library" ON)
option(WSLAY_SHARED "Build shared version of the library" OFF)
option(WSLAY_EXAMPLES "Build examples" OFF)
option(WSLAY_TESTS "Build tests" OFF)

add_subdirectory(lib)
if(WSLAY_EXAMPLES)
	add_subdirectory(examples)
endif()
if(WSLAY_TESTS)
	enable_testing()
	add_subdirectory(tests)
endif()

if (WSLAY_CONFIGURE_INSTALL)
	include(GNUInstallDirs)
	set(INSTALL_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/wslay)
	install(EXPORT wslay
		DESTINATION ${INSTALL_CMAKE_DIR})
	configure_file(wslay-config.cmake.in wslay-config.cmake @ONLY)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/wslay-config.cmake
		DESTINATION ${INSTALL_CMAKE_DIR})
endif()

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wslay.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wslay.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wslay"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wslay"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## wslay 1.0.1~39-g6abacc1

=== debian/changelog ===
wslay (1.0.1~39-g6abacc1-3) unstable; urgency=medium

  * [a6baed8] Update patch
  * [0b8e539] Add minimal version for nettle-dev
  * [331172d] Set compat level 11

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Dec 2017 00:34:47 +0100

wslay (1.0.1~39-g6abacc1-2) unstable; urgency=medium

  * [3f39533] Remove science team as a maintainer.
  * [53a3412] Update comments in tests.
  * [7be02dd] Fix FTBFS due to API update in nettle. (Closes: #884407)
  * [b9261e0] Remove testsuite-field in d/control
  * [135f6cb] Remove prioroty extra from d/control
  * [b5974ea] Set Standards-Version: 4.1.3
  * [b839664] Update VCS-fields

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Dec 2017 23:42:08 +0100

wslay (1.0.1~39-g6abacc1-1) unstable; urgency=medium

  * Initial packaging. (Closes: #865564)

 -- Anton Gladky <gladk@debian.org>  Thu, 22 Jun 2017 21:00:12 +0200

=== debian/control ===
Source: wslay
Maintainer: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               libcunit1-dev,
               nettle-dev (>=3.4),
               python3-sphinx,
               sphinx-common
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/wslay
Vcs-Git: https://salsa.debian.org/debian/wslay.git
Homepage: https://github.com/tatsuhiro-t/wslay

Package: libwslay-dev
Architecture: any
Section: libdevel
Depends: libwslay1 (= ${binary:Version}),
         ${misc:Depends}
Description: WebSocket library written in C. Development files
 WebSocket library written in C. It implements the protocol version 13
 described in RFC 6455. This library offers 2 levels of API: event-based
 API and frame-based low-level API. For event-based API, it is suitable
 for non-blocking reactor pattern style. You can set callbacks in various
 events. For frame-based API, you can send WebSocket frame directly.
 Wslay only supports data transfer part of WebSocket protocol and does not
 perform opening handshake in HTTP.
 .
 Wslay supports:
 .
  - Text/Binary messages.
  - Automatic ping reply.
  - Callback interface.
  - External event loop.
  - Wslay does not perform any I/O operations for its own. Instead, it
    offers callbacks for them. This makes Wslay independent on any I/O
    frameworks, SSL, sockets, etc. This makes Wslay portable across various
    platforms and the application authors can choose freely I/O frameworks.
 .
 The binary contains development files.

Package: libwslay1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: WebSocket library written in C. Shared library
 WebSocket library written in C. It implements the protocol version 13
 described in RFC 6455. This library offers 2 levels of API: event-based
 API and frame-based low-level API. For event-based API, it is suitable
 for non-blocking reactor pattern style. You can set callbacks in various
 events. For frame-based API, you can send WebSocket frame directly.
 Wslay only supports data transfer part of WebSocket protocol and does not
 perform opening handshake in HTTP.
 .
 Wslay supports:
 .
  - Text/Binary messages.
  - Automatic ping reply.
  - Callback interface.
  - External event loop.
  - Wslay does not perform any I/O operations for its own. Instead, it
    offers callbacks for them. This makes Wslay independent on any I/O
    frameworks, SSL, sockets, etc. This makes Wslay portable across various
    platforms and the application authors can choose freely I/O frameworks.
 .
 The binary contains shared library.

Package: libwslay-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Description: WebSocket library written in C. Documentation
 WebSocket library written in C. It implements the protocol version 13
 described in RFC 6455. This library offers 2 levels of API: event-based
 API and frame-based low-level API. For event-based API, it is suitable
 for non-blocking reactor pattern style. You can set callbacks in various
 events. For frame-based API, you can send WebSocket frame directly.
 Wslay only supports data transfer part of WebSocket protocol and does not
 perform opening handshake in HTTP.
 .
 Wslay supports:
 .
  - Text/Binary messages.
  - Automatic ping reply.
  - Callback interface.
  - External event loop.
  - Wslay does not perform any I/O operations for its own. Instead, it
    offers callbacks for them. This makes Wslay independent on any I/O
    frameworks, SSL, sockets, etc. This makes Wslay portable across various
    platforms and the application authors can choose freely I/O frameworks.
 .
 The binary contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --without autoreconf --with sphinxdoc

override_dh_auto_build: 
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	cd doc/sphinx/ ; cp conf.py.in conf.py; $(MAKE) man ; $(MAKE) html
endif

## wslay 1.1.0

=== lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# This CMakeLists.txt file intended for:
# - include by master ../CMakeLists.txt
# - embedding wslay library into other projects

set(PACKAGE_VERSION "1.0.1-DEV")
set(INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/includes)
set(GEN_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/includes)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Werror -pedantic-errors -Wno-long-long")

include(CheckIncludeFile)
include(TestBigEndian)
check_include_file("arpa/inet.h" HAVE_ARPA_INET_H)
check_include_file("netinet/in.h" HAVE_NETINET_IN_H)
check_include_file("winsock2.h" HAVE_WINSOCK2_H)
test_big_endian(WORDS_BIGENDIAN)

configure_file(${INCLUDE_DIR}/wslay/wslayver.h.in
	${GEN_INCLUDE_DIR}/wslay/wslayver.h @ONLY)
configure_file(config.h.in config.h @ONLY)

set(HEADERS
	wslay_event.h
	wslay_frame.h
	wslay_net.h
	wslay_queue.h
	wslay_stack.h
	${INCLUDE_DIR}/wslay/wslay.h
	${GEN_INCLUDE_DIR}/wslay/wslayver.h)
set(SOURCES
	wslay_event.c
	wslay_frame.c
	wslay_net.c
	wslay_queue.c
	wslay_stack.c)

set(WSLAY_TARGETS)
if(WSLAY_STATIC)
	add_library(wslay STATIC ${SOURCES} ${HEADERS})
	list(APPEND WSLAY_TARGETS wslay)
endif()
if(WSLAY_SHARED)
	add_library(wslay_shared SHARED ${SOURCES} ${HEADERS})
	list(APPEND WSLAY_TARGETS wslay_shared)
endif()

foreach(target ${WSLAY_TARGETS})
	set_property(TARGET ${target} PROPERTY C_STANDARD 99)
	target_include_directories(${target} PUBLIC
		$<BUILD_INTERFACE:${INCLUDE_DIR}>
		$<BUILD_INTERFACE:${GEN_INCLUDE_DIR}>
		$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
	target_compile_definitions(${target} PRIVATE "HAVE_CONFIG_H")
endforeach()

# install
if(WSLAY_CONFIGURE_INSTALL)
	include(GNUInstallDirs)
	install(TARGETS ${WSLAY_TARGETS} EXPORT wslay
		INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
	install(DIRECTORY ${INCLUDE_DIR}/ ${GEN_INCLUDE_DIR}/
		DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
		FILES_MATCHING PATTERN "*.h")
endif()

=== debian/changelog ===
wslay (1.1.0-2) unstable; urgency=medium

  * [30b581e] Set Standards-Version to 4.4.1
  * [ad4b199] Set compat-level to 12
  * [1c60f49] Set upstream metadata fields: Repository.
  * [cec7d03] Add project-command to CmakeLists. (Closes: #944893)
  * Close bug which was closed by previous upload. (Closes: #942736)

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Nov 2019 20:05:54 +0100

wslay (1.1.0-1) unstable; urgency=medium

  * [a100c59] Make the package cross-compilable (thanks to helmutg)
  * [6594955] Declare Breaks/Replaces due to the manpage move
  * [2760176] New upstream version 1.1.0
  * [5cf7f3d] Update patches, remove old one
  * [7dcc34e] Set Standards-Version to 4.2.1

 -- Anton Gladky <gladk@debian.org>  Sun, 30 Sep 2018 17:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libcunit1-dev,
-               nettle-dev (>=3.4),
-               python3-sphinx,
-               sphinx-common
-Standards-Version: 4.1.3
+               nettle-dev (>=3.4)
+Build-Depends-Indep: python3-sphinx,
+                     sphinx-common
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/wslay
 Vcs-Git: https://salsa.debian.org/debian/wslay.git
 Homepage: https://github.com/tatsuhiro-t/wslay
@@ -74,6 +74,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends}
+Breaks: libwslay-dev (<< 1.1.0)
+Replaces: libwslay-dev (<< 1.1.0)
 Description: WebSocket library written in C. Documentation
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based

## wslay 1.1.1

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

include(CheckIncludeFiles)
check_include_files("sys/epoll.h" HAVE_EPOLL)
if(NOT HAVE_EPOLL)
	message(FATAL_ERROR "epoll is required")
endif()
find_package(Nettle REQUIRED)

if(WSLAY_STATIC)
	set(WSLAY_TARGET "wslay")
else()
	set(WSLAY_TARGET "wslay_shared")
endif()

add_executable(echoserv echoserv.cc)
target_include_directories(echoserv PRIVATE ${NETTLE_INCLUDE_DIRS})
target_link_libraries(echoserv ${WSLAY_TARGET} ${NETTLE_LIBRARIES})

add_executable(fork-echoserv fork-echoserv.c)
target_include_directories(fork-echoserv PRIVATE ${NETTLE_INCLUDE_DIRS})
target_link_libraries(fork-echoserv ${WSLAY_TARGET} ${NETTLE_LIBRARIES})

add_executable(testclient testclient.cc)
target_include_directories(testclient PRIVATE ${NETTLE_INCLUDE_DIRS})
target_link_libraries(testclient ${WSLAY_TARGET} ${NETTLE_LIBRARIES})

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

find_package(CUnit REQUIRED)

# Choose a wslay target to get build options from.
# That way we can avoid duplicating them here.
if(WSLAY_STATIC)
	set(WSLAY_TARGET "wslay")
else()
	set(WSLAY_TARGET "wslay_shared")
endif()

get_target_property(WSLAY_INCLUDE_DIRS
	${WSLAY_TARGET} INTERFACE_INCLUDE_DIRECTORIES)
get_target_property(WSLAY_COMPILE_DEFINITIONS
	${WSLAY_TARGET} COMPILE_DEFINITIONS)
set(WSLAY_DIR ${PROJECT_SOURCE_DIR}/lib)
set(WSLAY_HEADERS
	${WSLAY_DIR}/wslay_event.h
	${WSLAY_DIR}/wslay_frame.h
	${WSLAY_DIR}/wslay_net.h
	${WSLAY_DIR}/wslay_queue.h
	${WSLAY_DIR}/wslay_stack.h)
set(WSLAY_SOURCES
	${WSLAY_DIR}/wslay_event.c
	${WSLAY_DIR}/wslay_frame.c
	${WSLAY_DIR}/wslay_net.c
	${WSLAY_DIR}/wslay_queue.c
	${WSLAY_DIR}/wslay_stack.c)

set(HEADERS
	wslay_event_test.h
	wslay_frame_test.h
	wslay_queue_test.h
	wslay_session_test.h
	wslay_stack_test.h)
set(SOURCES
	wslay_event_test.c
	wslay_frame_test.c
	wslay_queue_test.c
	wslay_session_test.c
	wslay_stack_test.c
	main.c)
add_executable(wslay_tests ${SOURCES} ${HEADERS}
	${WSLAY_SOURCES} ${WSLAY_HEADERS})
target_include_directories(wslay_tests PRIVATE ${WSLAY_DIR} ${WSLAY_INCLUDE_DIRS} ${CUNIT_INCLUDE_DIRS})
target_compile_definitions(wslay_tests PRIVATE ${WSLAY_COMPILE_DEFINITIONS})
target_link_libraries(wslay_tests ${CUNIT_LIBRARIES})
add_dependencies(wslay_tests ${WSLAY_TARGET})
add_test(NAME wslay_tests COMMAND wslay_tests)

=== debian/changelog ===
wslay (1.1.1-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [0106f6b] Bump cmake_minimum_required for tests (Closes: #1040731)

  [ Anton Gladky ]
  * [2266c6e] fix(debian): Increase minimal CMake version (Closes: #1113634)
  * [cd2c642] chore(debian): Update Standards-Version to 4.7.2
  * [918801f] chore(debian): Add YAML document start marker
  * [90efc72] Install missing pkg-config file (Closes: #1095615)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Oct 2025 14:13:08 +0200

wslay (1.1.1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [4834d49] Revert "Update debian/.gitlab-ci.yml"
  * [33e6c09] Update watch file format version to 4.
  * [99f2459] Update standards version to 4.6.2, no changes needed.
  * [e3a4a89] Remove unneeded breaks/replaces

  [ Debian Janitor ]
  * [80e2ba6] Apply multi-arch hints.
    + libwslay-dev: Add Multi-Arch: same.
    + libwslay-doc: Add Multi-Arch: foreign.

  [ Pino Toscano ]
  * [988937e] d/rules: do not build the examples on non-Linux (Closes: #873677)

  [ Timo Röhling ]
  * [5d568e2] debian/tests/build1: Bump cmake_minimum_required() for examples
    (Closes: #1040731)

 -- Anton Gladky <gladk@debian.org>  Thu, 03 Aug 2023 23:13:19 +0200

wslay (1.1.1-3) unstable; urgency=medium

  * [224e60a] Update .gitlab-ci.yml
  * [ed5ade0] Fix sphinx 3.3 errors. (Closes: #997384)
  * [a8546c2] Set compat-level 13, Standards-version: 4.6.0

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Nov 2021 22:36:01 +0100

wslay (1.1.1-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [9429e45] Avoid CMake casing warnings (Closes: #970334)

  [ Anton Gladky ]
  * [6f1c0ef] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Sep 2020 21:22:49 +0200

wslay (1.1.1-1) unstable; urgency=medium

  * [5995e3b] New upstream version 1.1.1
  * [e530e82] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [49aab14] Update standards version to 4.5.0, no changes needed.
  * [332ead9] Add d/.gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jul 2020 21:41:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: wslay
+Standards-Version: 4.7.2
 Maintainer: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 12),
-               libcunit1-dev,
-               nettle-dev (>=3.4)
-Build-Depends-Indep: python3-sphinx,
-                     sphinx-common
-Standards-Version: 4.4.1
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libcunit1-dev,
+ nettle-dev,
+Build-Depends-Indep:
+ python3-sphinx,
+ sphinx-common,
 Vcs-Browser: https://salsa.debian.org/debian/wslay
 Vcs-Git: https://salsa.debian.org/debian/wslay.git
 Homepage: https://github.com/tatsuhiro-t/wslay
 
 Package: libwslay-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libwslay1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends:
+ libwslay1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: WebSocket library written in C. Development files
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based
@@ -43,9 +47,11 @@
 Package: libwslay1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: WebSocket library written in C. Shared library
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based
@@ -70,12 +76,12 @@
 
 Package: libwslay-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${sphinxdoc:Depends}
-Breaks: libwslay-dev (<< 1.1.0)
-Replaces: libwslay-dev (<< 1.1.0)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${sphinxdoc:Depends},
 Description: WebSocket library written in C. Documentation
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based

=== debian/tests/control ===
Tests: build1
Depends: libwslay-dev, build-essential, nettle-dev, cmake

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://github.com/tatsuhiro-t/wslay/tags .*/release-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
